MsmIndependenceSplit::RightConsumer Struct Reference
Inheritance diagram for MsmIndependenceSplit::RightConsumer:

## Public Member Functions

virtual void | beginConsuming ()
| Tell the consumer to begin consuming an ideal.
virtual void | doneConsuming ()
| Must be called once after each time beginConsuming has been called.
virtual void | consume (const Term &term)
| Consume a term.
Public Member Functions inherited from TermConsumer
virtual | ~TermConsumer ()
virtual void | consumeRing (const VarNames &names)
| Tell the consumer which ring is being used.
virtual void | beginConsumingList ()
| Tell the consumer that the ideals that are consumed until the next call to doneConsumingList are to be considered as one list of ideals, rather than as a number of separate ideals.
virtual void | doneConsumingList ()
| Must be called once after each time beginConsumingList has been called.
void | consume (const Ideal &ideal)
| This is a non-virtual utility method that calls the other methods to achieve its effect of calling beginConsuming, then consuming all generators, and then calling doneConsuming.

## Public Attributes

Ideal | _decom

## Detailed Description

Definition at line 236 of file MsmStrategy.cpp.

## Member Function Documentation

## beginConsuming()

virtual void MsmIndependenceSplit::RightConsumer::beginConsuming | ( |  | ) |

inline virtual

Tell the consumer to begin consuming an ideal.

It is required to call this method before calling consume().

Implements TermConsumer.

Definition at line 237 of file MsmStrategy.cpp.

## consume()

virtual void MsmIndependenceSplit::RightConsumer::consume | ( | const Term & | term | ) |

inline virtual

Consume a term.

Implements TermConsumer.

Definition at line 243 of file MsmStrategy.cpp.

## doneConsuming()

virtual void MsmIndependenceSplit::RightConsumer::doneConsuming | ( |  | ) |

inline virtual

Must be called once after each time beginConsuming has been called.

Implements TermConsumer.

Definition at line 240 of file MsmStrategy.cpp.

## Member Data Documentation

## _decom

Ideal MsmIndependenceSplit::RightConsumer::_decom

Definition at line 247 of file MsmStrategy.cpp.

The documentation for this struct was generated from the following file:

- src/MsmStrategy.cpp